Quassel IRC - Bug #30

Escaped chars are not unescaped when loading messages from backend
05/18/2007 09:08 PM - EgS

Status: Closed Start date:

Priority: High Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.2.0-alpha1

Version: 0.13.0 0S: Any
Description

Currently ' (single quote) is escaped by doubling it to " when storing it in the database backend but not converted back to a single
quote when loading the data.

This should be auotmagicaly be fixed when the SQL-Queries are changed to variable binding.

History

#1 - 05/24/2007 03:08 PM - EgS

The new SqliteStorage Engine seems to handle this quite well.

Please report any regarding this subject. If no issues occur I'll close this bug in about a week - when I'm back from ltaly :)

#2 - 06/03/2007 07:13 PM - Sputnick

As predicted, the transition to the new Storage backend closes this bug.
